package cl.homelogic.platform.designsystem.foundations

import cl.homelogic.platform.designsystem.foundations.fonts.materialsymbols.getPlatformIcon

fun Symbols.unicode(): String =
    this.codePoint[0]
        .code
        .toString(16)
        .padStart(4, '0')

// Get codepoints from: https://fonts.google.com/icons
sealed class Symbols(
    val codePoint: String,
) {
    data object IconSettings : Symbols("\ue8b8")

    data object IconArrowBack : Symbols(getPlatformIcon("\ue5c4", "\ue5e0"))

    data object IconClose : Symbols("\ue5cd")

    data object IconTextField : Symbols("\ue9f1")

    data object IconButtons : Symbols("\ue72f")

    data object IconHeader : Symbols("\uf384")

    data object IconSwitchCard : Symbols("\ue1f4")

    data object IconFonts : Symbols("\ue262")

    data object IconShortcut : Symbols("\ue7e1")

    data object IconSymbols : Symbols("\uf7f7")

    data object IconHeadline : Symbols("\ue23c")

    data object IconHeadlines : Symbols("\ue91a")

    data object IconTypography : Symbols("\ueb94")

    data object IconTwoColumns : Symbols("\uf847")

    data object IconGlyph : Symbols("\ue574")

    data object IconColors : Symbols("\ue40a")

    data object IconThemes : Symbols("\ue997")

    data object IconShapes : Symbols("\ue602")

    data object IconDimensions : Symbols("\ue41c")

    data object IconIllustrations : Symbols("\ue3f4")

    data object IconDarkMode : Symbols("\ue51c")

    data object IconSearch : Symbols("\ue8b6")

    data object IconPlayCircle : Symbols("\ue1c4")
}
